$ErrorActionPreference = 'Stop';

$PackageName  = $env:ChocolateyPackageName
$App = $PackageName.Split(".")[0]
$InstallDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$ToolsDir = Split-Path -parent $MyInvocation.MyCommand.Definition

$PackageArgs = @{
  PackageName   = $PackageName
  FileType      = 'exe'
  File64        = Get-Item $(Join-Path $ToolsDir "Nyrna-Windows-Installer.exe")

  SoftwareName  = 'nyrna*'

  Checksum      = "3d1b8e8d2755bb93c9d7702f15bfddb4f1b722db57c49c4861fd62e39d32e56295e1528f461509d826cdc5cee26b54c0fff59090a4262e630f6ba6b7535100ae"
  ChecksumType  = 'sha512'
  
  SilentArgs   = '/SILENT /VERYSILENT /SUPPRESSMSGBOXES /NORESTART /SP-'
  ValidExitCodes= @(0, 1223)
}

Install-ChocolateyPackage @PackageArgs
$InstallLocation = Get-AppInstallLocation "$PackageName*"

Remove-Item $(Get-Item $(Join-Path $ToolsDir "Nyrna-Windows-Installer.exe"))

Write-Host "$PackageName registered as $App"